<?php

namespace Modules\Laporan\Services;

use App\Contracts\CrudServiceContract;

interface LaporanServiceInterface extends CrudServiceContract
{
    /**
     * Return all items for datatable
     *
     * @return Collection
     */
    public function datatable();

    /**
     * Return all items for datatable Laporan Category
     *
     * @return Collection
     */
    public function datatableLaporanCategory();

    /**
     * Menyimpan Dokumen Report File ke Folder
     *
     * @return Collection
     */
    public function storeReportFile($request);
}
